???File Path
==========
***...\Models\travel\GdslccModels.cs


// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
// @@@@@@@@@@@@@@@  GdsCustomFormat  @@@@@@@@@@@@@@@
// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
public class MdlGdsCustomFormat : MdlUserAction {

	public long binGdsCustomFormatId { get; set; } = 0;
	
	public short sinCategory { get; set; } = 0;
	public short sinSubCategory { get; set; } = 0;
	[StringLength(100)]
	public string strSysAttributeName { get; set; } = "";
	public long? binCorporateCustomDataId { get; set; } = null;
	public long? binServiceCustomDataId { get; set; } = null;
	
	[StringLength(50)]
	public string strAmadeusFormat { get; set; } = "";
	[StringLength(50)]
	public string strGalileoFormat { get; set; } = "";
	[StringLength(50)]
	public string strSabreFormat { get; set; } = "";
	[StringLength(50)]
	public string strWorldspanFormat { get; set; } = "";
	[StringLength(50)]
	public string strFarelogixFormat { get; set; } = "";
	[StringLength(50)]
	public string strAbacusFormat { get; set; } = "";
	[StringLength(50)]
	public string strTravelportFormat { get; set; } = "";
}

public class MdlReqGdsCustomFormat : MdlRequest {

	public MdlGdsCustomFormat mdlGdsCustomFormat { get; set; } = new MdlGdsCustomFormat();
}

public class MdlResGdsCustomFormat : MdlResponse {

	public MdlGdsCustomFormat mdlGdsCustomFormat { get; set; } = new MdlGdsCustomFormat();
}

public class MdlResGdsCustomFormatList : MdlResponse {

	public List<MdlGdsCustomFormat> lstMdlGdsCustomFormat { get; set; } = new List<MdlGdsCustomFormat>();
}

public class MdlResGdsCustomFormatInit : MdlResponse {
	public List<MdlBaseIntId> lstMdlCorporateCustomDataBaseIntId { get; set; } = new List<MdlBaseIntId>();
	public List<MdlBaseIntId> lstMdlServiceCustomDataBaseIntId { get; set; } = new List<MdlBaseIntId>();


	public List<MdlGdsCustomFormat> lstMdlGdsCustomFormat { get; set; } = new List<MdlGdsCustomFormat>();
}

