???File Path
==========
***...\ClientApp\srcpp\src\travel\gds-custom-format\gds-custom-format.component.ts


???Check the points
==================
1) Check ...\ClientApp\srcpp\srcaseranchranch.component.ts and ...\ClientApp\srcpp\srcase\company\company.component.ts 
2) Main Grouping Must
	-> // @@@@@@@ AREA=> FROM HTML INPUT AREA Called Functions(Not Button bar and List) @@@@@@@@@@@@@@
	-> // @@@@@@@ FROM HTML MAIN LIST Called Functions @@@@@@@@@@@@@@
	-> // @@@@@@@ AREA=> FROM HTML BUTTON BAR Called Functions @@@@@@@@@@@@@@
	-> // @@@@@@@ AREA=> COMMON Functions @@@@@@@@@@@@@@
3) Set GUI Heading in constructor(Eg:- insGlobalConstants.strGuiHeading = "***";)
4) Set GUI/Menu System Name in constructor(Eg:- insGlobalConstants.strSysModuleName = "***";) based on menu service
5) Set GUI Tittle(Browser Tab) in constructor(Eg:- insGlobalFunctions.fnSetGuiBasedBrowserTitle = "***";)



            // ??? Check and Use If you need...
            //---------------------------------
            import { Component, OnInit, AfterViewInit, OnDestroy, ViewChild } from '@angular/core';
            import { DxDataGridComponent } from "devextreme-angular";

            import * as globalConstantsService from '../../../services/global-constants.service';
            import * as globalFunctionsService from '../../../services/global-functions.service';
            import * as globalDataService from '../../../services/global-data.service';
            import * as baseDataService from '../../../services/base/base-data.service';
            import * as jspdfService from '../../../services/jspdf.service';
            import * as menuService from '../../../services/menu.service';
            import { MdlGdsCustomFormat, MdlReqGdsCustomFormat, MdlResGdsCustomFormat, MdlResGdsCustomFormatInit, MdlResGdsCustomFormatList } from '../../../models/travel/gdslcc.model';
            import { MdlResponse, MdlBaseIntId, MdlReqBaseIntId } from "../../../models/common.model";
            import { HttpService } from '../../../services/http.service';
        


            // ??? Check and Use If you need...
            //---------------------------------
            export class GdsCustomFormatComponent implements OnInit, AfterViewInit, OnDestroy {
                // ** initialize data
                public mdlGdsCustomFormat: MdlGdsCustomFormat = new MdlGdsCustomFormat();
                public intActiveGdsCustomFormatIndex: number = -1;
                // ** Select and Auto-completion
                // ??? Remove not use items !!!
			lstMdlCorporateCustomDataBaseIntId: MdlBaseIntId[] = [];
			lstMdlServiceCustomDataBaseIntId: MdlBaseIntId[] = [];

                // ** GUI Control
                public blnBtnDisabled: boolean = false;
                public blnMoreDivExpanded: boolean = false;
                // ** GdsCustomFormat List
                @ViewChild('#idDgGdsCustomFormatList') idDgGdsCustomFormatList!: DxDataGridComponent;
                public lstAllGdsCustomFormat: MdlGdsCustomFormat[] = [];
                public blnDgGdsCustomFormatShowFilterRow: boolean = false;
                public blnDgGdsCustomFormatHeaderFilter: boolean = false;
                public intActiveGdsCustomFormatListItemIndex = -1;
        


                // ??? If you need, import and create instance other common classes !!!
                constructor(public insGlobalConstants: globalConstantsService.GlobalConstantsService,
                        public insGlobalFunctions: globalFunctionsService.GlobalFunctionsService,
                        public insGlobalData: globalDataService.GlobalDataService,
                        public insBaseData: baseDataService.BaseDataService,
                        private insHttpService: HttpService,
                        public insJspdf: jspdfService.JspdfService) {
    
                    insGlobalConstants.strGuiHeading = 'gdsCustomFormat';
                    // ??? Check menu service !!!
                    insGlobalConstants.strSysModuleName = "GDSCUSTOMFORMAT_MASTER";
                    insGlobalFunctions.fnSetGuiBasedBrowserTitle("GdsCustomFormat");
                }

                ngOnInit(): void {
                    this.blnBtnDisabled = true;
                    document.body.style.cursor = "wait";

                    this.fnDefaultView();

                    // initialize Data Request
                    this.insHttpService.get('Base/Organization/GetGdsCustomFormatInitializeData')
                    .then((mdlResGdsCustomFormatInit: MdlResGdsCustomFormatInit) => {
                        if (mdlResGdsCustomFormatInit.sinStatus == 1) {
                            this.lstMdlGdsCustomFormat = mdlResGdsCustomFormatInit.lstMdlGdsCustomFormat;

                            // ??? Remove not use items !!!
					this.lstMdlCorporateCustomDataBaseIntId = mdlResGdsCustomFormatInit.lstMdlCorporateCustomDataBaseIntId;
					this.lstMdlServiceCustomDataBaseIntId = mdlResGdsCustomFormatInit.lstMdlServiceCustomDataBaseIntId;

                        } else {
                            console.log(mdlResGdsCustomFormatInit.strMessage + " => " + mdlResGdsCustomFormatInit.strErrorCode + ' -> ' + mdlResGdsCustomFormatInit.strSysError);
                        }
                    })
                    .catch((err: any) => {
                        console.log("Error->GDSCUSTOMFORMAT.COMPONENT.TS#001: " + JSON.stringify(err));
                    });

                    document.body.style.cursor = "default";
                    this.blnBtnDisabled = false;
                }

                ngAfterViewInit(): void {
                }

                ngOnDestroy() {
                }
        


            // @@@@@@@ AREA=> FROM HTML INPUT AREA Called Functions(Not Button bar and List) @@@@@@@@@@@@@


            // ??? AUTO/ENTRY COMPLETE - Set Id[, Code, Name] -> OnFocusOut Event

            // ??? Any caculation/Display Based on user inputs

        


            // @@@@@@@@@@@@@@@@@@@@@@@ AREA=> FROM HTML MAIN LIST Called Functions @@@@@@@@@@@@@@@@@@@@@@@@

            fnOnGdsCustomFormatListEditButtonClick(objSelRow: any) {
                this.blnBtnDisabled = true;
                document.body.style.cursor = "wait";

                this.fnSetDataAndGuiEditMode(objSelRow.row.data, objSelRow.row.rowIndex);

                document.body.style.cursor = "default";
                this.blnBtnDisabled = false;
            }

            fnOnGdsCustomFormatListRowDblClick(objDblClickRowData: any) {
                this.blnBtnDisabled = true;
                document.body.style.cursor = "wait";

                this.fnSetDataAndGuiEditMode(objDblClickRowData.data, objDblClickRowData.rowIndex);

                document.body.style.cursor = "default";
                this.blnBtnDisabled = false;
            }

            fnOnDgFilterRowEnableDisableClick() {
                this.blnDgShowFilterRow = !this.blnDgShowFilterRow;
            }

            fnOnDgHeadeFilterEnableDisableClick() {
                this.blnDgHeaderFilter = !this.blnDgHeaderFilter;
            }
        


            // @@@@@@@@@@@@@@@@@@@@@@ AREA=> FROM HTML BUTTON BAR Called Functions @@@@@@@@@@@@@@@@@@@@@@@@

            async fnOnSaveButtonClick() {
            this.blnBtnDisabled = true;
            document.body.style.cursor = "wait";
            this.fnDefaultView(false, true, true, false);

            // Add or Update 
            try {
            // Input Validation
            this.fnInputValidation(this.mdlGdsCustomFormat);

            // Input Data set
            //....

            // Set Save Request Inputs
            let mdlReqGdsCustomFormat: MdlReqGdsCustomFormat = new MdlReqGdsCustomFormat();
            mdlReqGdsCustomFormat.mdlGdsCustomFormat = JSON.parse(JSON.stringify(this.mdlGdsCustomFormat));

            // Request Data Reset
            //....

            // Save Request
            await this.insHttpService.post('Base/Organization/SaveGdsCustomFormat', mdlReqGdsCustomFormat)
                .then((mdlResGdsCustomFormat: MdlResGdsCustomFormat) => {
                if (mdlResGdsCustomFormat.sinStatus == 1) {
                    this.mdlGdsCustomFormat = mdlResGdsCustomFormat.mdlGdsCustomFormat;
                    if (this.intActiveGdsCustomFormatIndex == -1) {
                    // New Item
                    this.intActiveGdsCustomFormatIndex = this.lstMdlGdsCustomFormat.length;
                    this.lstMdlGdsCustomFormat.push(JSON.parse(JSON.stringify(this.mdlGdsCustomFormat)));
                    }
                    else {
                    // Update
                    this.lstMdlGdsCustomFormat[this.intActiveGdsCustomFormatIndex] = JSON.parse(JSON.stringify(this.mdlGdsCustomFormat));
                    //this.lstMdlGdsCustomFormat.splice(this.intActiveGdsCustomFormatIndex, 1, this.mdlGdsCustomFormat);
                    }

                    this.insGlobalConstants.fnSetSuccessMessage(mdlResGdsCustomFormat.strMessage);
                } else {
                    this.insGlobalConstants.fnSetErrorMessage(mdlResGdsCustomFormat.strMessage, mdlResGdsCustomFormat.strSysError);
                    console.log(mdlResGdsCustomFormat);
                }
                })
                .catch((err: any) => {
                    this.insGlobalConstants.fnSetErrorMessage(JSON.stringify(err));
                });

            } catch (ex: unknown) {
                if (ex instanceof Error) {
                    //this.insGlobalConstants.strErrorMessages = ex.message;
                    this.insGlobalConstants.fnSetErrorMessage(ex.message);
                }
                console.log("Error->GDSCUSTOMFORMAT.COMPONENT.TS#002: " + ex);
            }

            this.fnDefaultView(false, false, true, false);
            document.body.style.cursor = "default";
            this.blnBtnDisabled = false;
        }

        fnOnNewButtonClick() {
            this.blnBtnDisabled = true;
            document.body.style.cursor = "wait";

            this.fnDefaultView(true, true, true, false);

            document.body.style.cursor = "default";
            this.blnBtnDisabled = false;
        }

        async fnOnDeleteButtonClick() {
            this.blnBtnDisabled = true;
            document.body.style.cursor = "wait";
            this.fnDefaultView(false, true, false, false);

            // Delete 
            try {

            // Input Validation
            if (this.mdlGdsCustomFormat.binGdsCustomFormatId == null || this.mdlGdsCustomFormat.binGdsCustomFormatId < 1) {
                throw new Error('Select GdsCustomFormat for DELETE.');
            }

            // Set Delete Request Inputs
            let mdlReqGdsCustomFormatBaseIntId: MdlReqBaseIntId = new MdlReqBaseIntId();
            mdlReqGdsCustomFormatBaseIntId.mdlBaseIntId.binPkId = this.mdlGdsCustomFormat.binGdsCustomFormatId;
            mdlReqGdsCustomFormatBaseIntId.mdlBaseIntId.binCustomValue = this.mdlGdsCustomFormat.intSysActionId;
            
            // Delete Request
            await this.insHttpService.post('Base/Organization/DeleteGdsCustomFormat', mdlReqGdsCustomFormatBaseIntId)
                .then((mdlResponse: MdlResponse) => {
                if (mdlResponse.sinStatus == 1) {
                    this.lstMdlGdsCustomFormat.splice(this.intActiveGdsCustomFormatIndex, 1);
                    this.fnDefaultView(true, false, false, false);
                    this.insGlobalConstants.fnSetSuccessMessage(mdlResponse.strMessage);
                } else {
                    this.insGlobalConstants.fnSetErrorMessage(mdlResponse.strMessage, mdlResponse.strSysError);
                    console.log(mdlResponse);
                }
                })
                .catch((err: any) => {
                this.insGlobalConstants.fnSetErrorMessage(JSON.stringify(err));
                });

            } catch (ex: unknown) {
            if (ex instanceof Error) {
                this.insGlobalConstants.fnSetErrorMessage(ex.message);
            }
            console.log("Error->GDSCUSTOMFORMAT.COMPONENT.TS#003: " + ex);
            }

            document.body.style.cursor = "default";
            this.blnBtnDisabled = false;
        }

        


            // @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ AREA=> COMMON Functions @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@


            fnDefaultView(blnClearData: boolean = true, blnClearMessages: boolean = true, blnMoreDivExpanded: boolean = false, blnGotoBottom: boolean = false) {
                if (blnClearData) {
                    this.mdlGdsCustomFormat = new MdlGdsCustomFormat();
                    this.intActiveGdsCustomFormatIndex = -1;
                }

                this.blnMoreDivExpanded = blnMoreDivExpanded;

                if (blnClearMessages) {
                    this.insGlobalConstants.strErrorMessages = "";
                    this.insGlobalConstants.strSuccessMessages = "";
                }
                
                if (!blnGotoBottom)
                    this.insGlobalFunctions.fnWindowScrollTop();
                else {
                    this.insGlobalFunctions.fnWindowScrollbottom();
                }
            }

            fnSetDataAndGuiEditMode(mdlGdsCustomFormat: MdlGdsCustomFormat, intRowIndex: number) {
                this.mdlGdsCustomFormat = JSON.parse(JSON.stringify(mdlGdsCustomFormat));
                this.intActiveGdsCustomFormatIndex = intRowIndex;
                this.fnDefaultView(false, true, true, false);
            }

            fnInputValidation(mdlGdsCustomFormat: MdlGdsCustomFormat) {
                // ??? CHECK
                

                // ??? CHECK CODE and NAME [Other UNIQUE Fields] Already exists
            }
        

